Package io.vertx.ext.shell.command

## Interface CommandBuilder

-     public interface CommandBuilder

  A build for Vert.x Shell command.
  Author:
    Julien Viet

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Command` | `build​(Vertx vertx)` | Build the command
    `static CommandBuilder` | `command​(CLI cli)` | Create a new commmand with its `CLI` descriptor.
    `static CommandBuilder` | `command​(String name)` | Create a new commmand builder, the command is responsible for managing the options and arguments via the `arguments`.
    `CommandBuilder` | `completionHandler​(Handler<Completion> handler)` | Set the command completion handler, the completion handler when the user asks for contextual command line completion, usually hitting the tab key.
    `CommandBuilder` | `processHandler​(Handler<CommandProcess> handler)` | Set the command process handler, the process handler is called when the command is executed.

- - ### Method Detail

    - #### command

          static CommandBuilder command​(String name)

      Create a new commmand builder, the command is responsible for managing the options and arguments via the `arguments`.
      Parameters:
        `name` - the command name
      Returns:
        the command

    - #### command

          static CommandBuilder command​(CLI cli)

      Create a new commmand with its `CLI` descriptor. This command can then retrieve the parsed `CommandProcess.commandLine()` when it executes to know get the command arguments and options.
      Parameters:
        `cli` - the cli to use
      Returns:
        the command

    - #### processHandler

          CommandBuilder processHandler​(Handler<CommandProcess> handler)

      Set the command process handler, the process handler is called when the command is executed.
      Parameters:
        `handler` - the process handler
      Returns:
        this command object

    - #### completionHandler

          CommandBuilder completionHandler​(Handler<Completion> handler)

      Set the command completion handler, the completion handler when the user asks for contextual command line completion, usually hitting the tab key.
      Parameters:
        `handler` - the completion handler
      Returns:
        this command object

    - #### build

          Command build​(Vertx vertx)

      Build the command
      Parameters:
        `vertx` - the vertx instance
      Returns:
        the built command